package gov.va.med.esr.mvc.model;
import gov.va.med.esr.service.external.person.EESummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchema;

@XmlRootElement(
		name = "getDeliveryPreferenceResponse", 
		namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
			)
@XmlAccessorType(XmlAccessType.FIELD)
public class DeliveryPreferenceModel extends AbstractServiceDataWrapperImpl{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5388070096493544988L;
	private EESummary deliveryPreference;
	private String eesVersion;
	private String message;
	private String status;
	
	@Override
	public Object getServiceData() {
		return getDeliveryPreference();
	}
	@Override
	public void setServiceData(Object serviceData) {
		setDeliveryPreference((EESummary) serviceData);
	}
	public EESummary getDeliveryPreference() {
		return deliveryPreference;
	}
	public void setDeliveryPreference(EESummary deliveryPreference) {
		this.deliveryPreference = deliveryPreference;
	}
	public String getEesVersion() {
		return eesVersion;
	}
	public void setEesVersion(String eesVersion) {
		this.eesVersion = eesVersion;
	}
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
}
